function saMat = SSDB_LHEQFastC1(X,options);
 
 d.OrigSize = [128 128];
 HeqOpts.FastApproximation = 0;

 if(not(exist('options')))
   options = [];
 end
 options = ResolveMissingOptions(options,d);
 nEx = size(X,2);
 C1options.C1Ver001 = 1;
 for i = 1:nEx
   fprintf('SSDB_LHEQFastC1 image %d of %d\r',i,nEx);
   stim = reshape(X(:,i),options.OrigSize);
   stim = imresize(stim,[64 64],'bilinear');
   LHQoptions.FastApproximation = 1;
   stim = LocalHistogramEqualize(stim,[25 25],64,LHQoptions);
   caC1 = c1Img2C1Simple(stim,C1options);
   M = caC1{1};
   if(i == 1);
     saMat.X = zeros(length(M(:)),nEx);
   end
   saMat.X(:,i) = M(:);
 end
 
